/* eslint-disable sort-exports/sort-exports */
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.SHOP` (2).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var ShopSubType;
(function (ShopSubType) {
    ShopSubType[ShopSubType["LEVEL_1"] = 0] = "LEVEL_1";
    ShopSubType[ShopSubType["LEVEL_2"] = 1] = "LEVEL_2";
    ShopSubType[ShopSubType["LEVEL_3"] = 2] = "LEVEL_3";
    ShopSubType[ShopSubType["LEVEL_4"] = 3] = "LEVEL_4";
    ShopSubType[ShopSubType["LEVEL_5"] = 4] = "LEVEL_5";
    ShopSubType[ShopSubType["RARE_GOOD"] = 10] = "RARE_GOOD";
    ShopSubType[ShopSubType["RARE_BAD"] = 11] = "RARE_BAD";
    ShopSubType[ShopSubType["TAINTED_KEEPER_LEVEL_1"] = 100] = "TAINTED_KEEPER_LEVEL_1";
    ShopSubType[ShopSubType["TAINTED_KEEPER_LEVEL_2"] = 101] = "TAINTED_KEEPER_LEVEL_2";
    ShopSubType[ShopSubType["TAINTED_KEEPER_LEVEL_3"] = 102] = "TAINTED_KEEPER_LEVEL_3";
    ShopSubType[ShopSubType["TAINTED_KEEPER_LEVEL_4"] = 103] = "TAINTED_KEEPER_LEVEL_4";
    ShopSubType[ShopSubType["TAINTED_KEEPER_LEVEL_5"] = 104] = "TAINTED_KEEPER_LEVEL_5";
    ShopSubType[ShopSubType["TAINTED_KEEPER_RARE_GOOD"] = 110] = "TAINTED_KEEPER_RARE_GOOD";
    ShopSubType[ShopSubType["TAINTED_KEEPER_RARE_BAD"] = 111] = "TAINTED_KEEPER_RARE_BAD";
})(ShopSubType || (ShopSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.TREASURE` (4).
 *
 * This matches the sub-type in the "00.special rooms.stb" file and elsewhere.
 */
export var TreasureRoomSubType;
(function (TreasureRoomSubType) {
    TreasureRoomSubType[TreasureRoomSubType["NORMAL"] = 0] = "NORMAL";
    TreasureRoomSubType[TreasureRoomSubType["MORE_OPTIONS"] = 1] = "MORE_OPTIONS";
    TreasureRoomSubType[TreasureRoomSubType["PAY_TO_WIN"] = 2] = "PAY_TO_WIN";
    TreasureRoomSubType[TreasureRoomSubType["MORE_OPTIONS_AND_PAY_TO_WIN"] = 3] = "MORE_OPTIONS_AND_PAY_TO_WIN";
    TreasureRoomSubType[TreasureRoomSubType["KNIFE_PIECE"] = 34] = "KNIFE_PIECE";
})(TreasureRoomSubType || (TreasureRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.BOSS` (5).
 *
 * This matches the "bossID" attribute in the "entities2.xml" file. It also matches the sub-type in
 * the "00.special rooms.stb" file.
 *
 * The enum is named `BossID` instead of `BossRoomSubType` in order to match the `Entity.GetBossID`,
 * `Room.GetBossID` and `Room.GetSecondBossID` methods.
 */
export var BossID;
(function (BossID) {
    BossID[BossID["MONSTRO"] = 1] = "MONSTRO";
    BossID[BossID["LARRY_JR"] = 2] = "LARRY_JR";
    BossID[BossID["CHUB"] = 3] = "CHUB";
    BossID[BossID["GURDY"] = 4] = "GURDY";
    BossID[BossID["MONSTRO_2"] = 5] = "MONSTRO_2";
    BossID[BossID["MOM"] = 6] = "MOM";
    BossID[BossID["SCOLEX"] = 7] = "SCOLEX";
    BossID[BossID["MOMS_HEART"] = 8] = "MOMS_HEART";
    BossID[BossID["FAMINE"] = 9] = "FAMINE";
    BossID[BossID["PESTILENCE"] = 10] = "PESTILENCE";
    BossID[BossID["WAR"] = 11] = "WAR";
    BossID[BossID["DEATH"] = 12] = "DEATH";
    BossID[BossID["DUKE_OF_FLIES"] = 13] = "DUKE_OF_FLIES";
    BossID[BossID["PEEP"] = 14] = "PEEP";
    BossID[BossID["LOKI"] = 15] = "LOKI";
    BossID[BossID["BLASTOCYST"] = 16] = "BLASTOCYST";
    BossID[BossID["GEMINI"] = 17] = "GEMINI";
    BossID[BossID["FISTULA"] = 18] = "FISTULA";
    BossID[BossID["GISH"] = 19] = "GISH";
    BossID[BossID["STEVEN"] = 20] = "STEVEN";
    BossID[BossID["CHAD"] = 21] = "CHAD";
    BossID[BossID["HEADLESS_HORSEMAN"] = 22] = "HEADLESS_HORSEMAN";
    BossID[BossID["THE_FALLEN"] = 23] = "THE_FALLEN";
    BossID[BossID["SATAN"] = 24] = "SATAN";
    BossID[BossID["IT_LIVES"] = 25] = "IT_LIVES";
    BossID[BossID["THE_HOLLOW"] = 26] = "THE_HOLLOW";
    BossID[BossID["THE_CARRION_QUEEN"] = 27] = "THE_CARRION_QUEEN";
    BossID[BossID["GURDY_JR"] = 28] = "GURDY_JR";
    BossID[BossID["THE_HUSK"] = 29] = "THE_HUSK";
    BossID[BossID["THE_BLOAT"] = 30] = "THE_BLOAT";
    BossID[BossID["LOKII"] = 31] = "LOKII";
    BossID[BossID["THE_BLIGHTED_OVUM"] = 32] = "THE_BLIGHTED_OVUM";
    BossID[BossID["TERATOMA"] = 33] = "TERATOMA";
    BossID[BossID["THE_WIDOW"] = 34] = "THE_WIDOW";
    BossID[BossID["MASK_OF_INFAMY"] = 35] = "MASK_OF_INFAMY";
    BossID[BossID["THE_WRETCHED"] = 36] = "THE_WRETCHED";
    BossID[BossID["PIN"] = 37] = "PIN";
    BossID[BossID["CONQUEST"] = 38] = "CONQUEST";
    BossID[BossID["ISAAC"] = 39] = "ISAAC";
    /** Also known as "???". */
    BossID[BossID["BLUE_BABY"] = 40] = "BLUE_BABY";
    BossID[BossID["DADDY_LONG_LEGS"] = 41] = "DADDY_LONG_LEGS";
    BossID[BossID["TRIACHNID"] = 42] = "TRIACHNID";
    BossID[BossID["THE_HAUNT"] = 43] = "THE_HAUNT";
    BossID[BossID["DINGLE"] = 44] = "DINGLE";
    BossID[BossID["MEGA_MAW"] = 45] = "MEGA_MAW";
    BossID[BossID["THE_GATE"] = 46] = "THE_GATE";
    BossID[BossID["MEGA_FATTY"] = 47] = "MEGA_FATTY";
    BossID[BossID["THE_CAGE"] = 48] = "THE_CAGE";
    BossID[BossID["MAMA_GURDY"] = 49] = "MAMA_GURDY";
    BossID[BossID["DARK_ONE"] = 50] = "DARK_ONE";
    BossID[BossID["THE_ADVERSARY"] = 51] = "THE_ADVERSARY";
    BossID[BossID["POLYCEPHALUS"] = 52] = "POLYCEPHALUS";
    BossID[BossID["MR_FRED"] = 53] = "MR_FRED";
    BossID[BossID["THE_LAMB"] = 54] = "THE_LAMB";
    BossID[BossID["MEGA_SATAN"] = 55] = "MEGA_SATAN";
    BossID[BossID["GURGLINGS"] = 56] = "GURGLINGS";
    BossID[BossID["THE_STAIN"] = 57] = "THE_STAIN";
    BossID[BossID["BROWNIE"] = 58] = "BROWNIE";
    BossID[BossID["THE_FORSAKEN"] = 59] = "THE_FORSAKEN";
    BossID[BossID["LITTLE_HORN"] = 60] = "LITTLE_HORN";
    BossID[BossID["RAG_MAN"] = 61] = "RAG_MAN";
    BossID[BossID["ULTRA_GREED"] = 62] = "ULTRA_GREED";
    BossID[BossID["HUSH"] = 63] = "HUSH";
    BossID[BossID["DANGLE"] = 64] = "DANGLE";
    BossID[BossID["TURDLING"] = 65] = "TURDLING";
    BossID[BossID["THE_FRAIL"] = 66] = "THE_FRAIL";
    BossID[BossID["RAG_MEGA"] = 67] = "RAG_MEGA";
    BossID[BossID["SISTERS_VIS"] = 68] = "SISTERS_VIS";
    BossID[BossID["BIG_HORN"] = 69] = "BIG_HORN";
    BossID[BossID["DELIRIUM"] = 70] = "DELIRIUM";
    BossID[BossID["THE_MATRIARCH"] = 72] = "THE_MATRIARCH";
    BossID[BossID["THE_PILE"] = 73] = "THE_PILE";
    BossID[BossID["REAP_CREEP"] = 74] = "REAP_CREEP";
    BossID[BossID["LIL_BLUB"] = 75] = "LIL_BLUB";
    BossID[BossID["WORMWOOD"] = 76] = "WORMWOOD";
    BossID[BossID["RAINMAKER"] = 77] = "RAINMAKER";
    BossID[BossID["THE_VISAGE"] = 78] = "THE_VISAGE";
    BossID[BossID["THE_SIREN"] = 79] = "THE_SIREN";
    BossID[BossID["TUFF_TWINS"] = 80] = "TUFF_TWINS";
    BossID[BossID["THE_HERETIC"] = 81] = "THE_HERETIC";
    BossID[BossID["HORNFEL"] = 82] = "HORNFEL";
    BossID[BossID["GREAT_GIDEON"] = 83] = "GREAT_GIDEON";
    BossID[BossID["BABY_PLUM"] = 84] = "BABY_PLUM";
    BossID[BossID["THE_SCOURGE"] = 85] = "THE_SCOURGE";
    BossID[BossID["CHIMERA"] = 86] = "CHIMERA";
    BossID[BossID["ROTGUT"] = 87] = "ROTGUT";
    BossID[BossID["MOTHER"] = 88] = "MOTHER";
    BossID[BossID["MAUSOLEUM_MOM"] = 89] = "MAUSOLEUM_MOM";
    BossID[BossID["MAUSOLEUM_MOMS_HEART"] = 90] = "MAUSOLEUM_MOMS_HEART";
    BossID[BossID["MIN_MIN"] = 91] = "MIN_MIN";
    BossID[BossID["CLOG"] = 92] = "CLOG";
    BossID[BossID["SINGE"] = 93] = "SINGE";
    BossID[BossID["BUMBINO"] = 94] = "BUMBINO";
    BossID[BossID["COLOSTOMIA"] = 95] = "COLOSTOMIA";
    BossID[BossID["THE_SHELL"] = 96] = "THE_SHELL";
    BossID[BossID["TURDLET"] = 97] = "TURDLET";
    /** This boss is currently unfinished and there are no boss rooms for it. */
    BossID[BossID["RAGLICH"] = 98] = "RAGLICH";
    /** Dogma does not have its own boss rooms; it appears in a normal room. */
    BossID[BossID["DOGMA"] = 99] = "DOGMA";
    /** The Beast does not have its own boss rooms; it appears in a crawl space. */
    BossID[BossID["THE_BEAST"] = 100] = "THE_BEAST";
    BossID[BossID["HORNY_BOYS"] = 101] = "HORNY_BOYS";
    BossID[BossID["CLUTCH"] = 102] = "CLUTCH";
})(BossID || (BossID = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.MINI_BOSS` (6).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 *
 * The enum is named `MinibossID` instead of` MinibossRoomSubType` in order to match the `BossID`
 * enum.
 */
export var MinibossID;
(function (MinibossID) {
    MinibossID[MinibossID["SLOTH"] = 0] = "SLOTH";
    MinibossID[MinibossID["LUST"] = 1] = "LUST";
    MinibossID[MinibossID["WRATH"] = 2] = "WRATH";
    MinibossID[MinibossID["GLUTTONY"] = 3] = "GLUTTONY";
    MinibossID[MinibossID["GREED"] = 4] = "GREED";
    MinibossID[MinibossID["ENVY"] = 5] = "ENVY";
    MinibossID[MinibossID["PRIDE"] = 6] = "PRIDE";
    MinibossID[MinibossID["SUPER_SLOTH"] = 7] = "SUPER_SLOTH";
    MinibossID[MinibossID["SUPER_LUST"] = 8] = "SUPER_LUST";
    MinibossID[MinibossID["SUPER_WRATH"] = 9] = "SUPER_WRATH";
    MinibossID[MinibossID["SUPER_GLUTTONY"] = 10] = "SUPER_GLUTTONY";
    MinibossID[MinibossID["SUPER_GREED"] = 11] = "SUPER_GREED";
    MinibossID[MinibossID["SUPER_ENVY"] = 12] = "SUPER_ENVY";
    MinibossID[MinibossID["SUPER_PRIDE"] = 13] = "SUPER_PRIDE";
    MinibossID[MinibossID["ULTRA_PRIDE"] = 14] = "ULTRA_PRIDE";
    MinibossID[MinibossID["KRAMPUS"] = 15] = "KRAMPUS";
})(MinibossID || (MinibossID = {}));
// For `StageID.SPECIAL_ROOMS` (0), `RoomType.SUPER_SECRET` (8), the sub-type corresponds to the
// `BackdropType` enum.
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.CURSE` (10).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var CurseRoomSubType;
(function (CurseRoomSubType) {
    CurseRoomSubType[CurseRoomSubType["NORMAL"] = 0] = "NORMAL";
    CurseRoomSubType[CurseRoomSubType["VOODOO_HEAD"] = 1] = "VOODOO_HEAD";
})(CurseRoomSubType || (CurseRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.CHALLENGE` (11).
 *
 * This matches the sub-type in the "00.special rooms.stb" file and elsewhere.
 */
export var ChallengeRoomSubType;
(function (ChallengeRoomSubType) {
    ChallengeRoomSubType[ChallengeRoomSubType["NORMAL"] = 0] = "NORMAL";
    ChallengeRoomSubType[ChallengeRoomSubType["BOSS"] = 1] = "BOSS";
    ChallengeRoomSubType[ChallengeRoomSubType["NORMAL_WAVE"] = 10] = "NORMAL_WAVE";
    ChallengeRoomSubType[ChallengeRoomSubType["BOSS_WAVE"] = 11] = "BOSS_WAVE";
    ChallengeRoomSubType[ChallengeRoomSubType["GREAT_GIDEON_WAVE"] = 12] = "GREAT_GIDEON_WAVE";
})(ChallengeRoomSubType || (ChallengeRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.LIBRARY` (12).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var LibrarySubType;
(function (LibrarySubType) {
    LibrarySubType[LibrarySubType["LEVEL_1"] = 0] = "LEVEL_1";
    LibrarySubType[LibrarySubType["LEVEL_2"] = 1] = "LEVEL_2";
    LibrarySubType[LibrarySubType["LEVEL_3"] = 2] = "LEVEL_3";
    LibrarySubType[LibrarySubType["LEVEL_4"] = 3] = "LEVEL_4";
    LibrarySubType[LibrarySubType["LEVEL_5"] = 4] = "LEVEL_5";
    LibrarySubType[LibrarySubType["EXTRA_GOOD"] = 10] = "EXTRA_GOOD";
    LibrarySubType[LibrarySubType["EXTRA_BAD"] = 11] = "EXTRA_BAD";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_LEVEL_1"] = 100] = "TAINTED_KEEPER_LEVEL_1";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_LEVEL_2"] = 101] = "TAINTED_KEEPER_LEVEL_2";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_LEVEL_3"] = 102] = "TAINTED_KEEPER_LEVEL_3";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_LEVEL_4"] = 103] = "TAINTED_KEEPER_LEVEL_4";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_LEVEL_5"] = 104] = "TAINTED_KEEPER_LEVEL_5";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_EXTRA_GOOD"] = 110] = "TAINTED_KEEPER_EXTRA_GOOD";
    LibrarySubType[LibrarySubType["TAINTED_KEEPER_EXTRA_BAD"] = 111] = "TAINTED_KEEPER_EXTRA_BAD";
})(LibrarySubType || (LibrarySubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.DEVIL` (14).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var DevilRoomSubType;
(function (DevilRoomSubType) {
    DevilRoomSubType[DevilRoomSubType["NORMAL"] = 0] = "NORMAL";
    DevilRoomSubType[DevilRoomSubType["NUMBER_SIX_TRINKET"] = 1] = "NUMBER_SIX_TRINKET";
})(DevilRoomSubType || (DevilRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.ANGEL` (15).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var AngelRoomSubType;
(function (AngelRoomSubType) {
    AngelRoomSubType[AngelRoomSubType["NORMAL"] = 0] = "NORMAL";
    /** This is the kind of Angel Room that appears when players have The Stairway collectible. */
    AngelRoomSubType[AngelRoomSubType["SHOP"] = 1] = "SHOP";
})(AngelRoomSubType || (AngelRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.DUNGEON` (16).
 *
 * This matches the sub-type in the "00.special rooms.stb" file and elsewhere.
 */
export var DungeonSubType;
(function (DungeonSubType) {
    DungeonSubType[DungeonSubType["NORMAL"] = 0] = "NORMAL";
    /** This is the room uncovered by throwing a Chaos Card at Great Gideon. */
    DungeonSubType[DungeonSubType["GIDEONS_GRAVE"] = 1] = "GIDEONS_GRAVE";
    /** This is the room for the second phase of Rotgut. */
    DungeonSubType[DungeonSubType["ROTGUT_MAGGOT"] = 2] = "ROTGUT_MAGGOT";
    /** This is the room for the third phase of Rotgut. */
    DungeonSubType[DungeonSubType["ROTGUT_HEART"] = 3] = "ROTGUT_HEART";
    DungeonSubType[DungeonSubType["BEAST_ROOM"] = 4] = "BEAST_ROOM";
})(DungeonSubType || (DungeonSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.CLEAN_BEDROOM` (18).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var IsaacsRoomSubType;
(function (IsaacsRoomSubType) {
    IsaacsRoomSubType[IsaacsRoomSubType["NORMAL"] = 0] = "NORMAL";
    IsaacsRoomSubType[IsaacsRoomSubType["GENESIS"] = 99] = "GENESIS";
})(IsaacsRoomSubType || (IsaacsRoomSubType = {}));
/**
 * For `StageID.SPECIAL_ROOMS` (0), `RoomType.SECRET_EXIT` (27).
 *
 * This matches the sub-type in the "00.special rooms.stb" file.
 */
export var SecretExitSubType;
(function (SecretExitSubType) {
    SecretExitSubType[SecretExitSubType["DOWNPOUR"] = 1] = "DOWNPOUR";
    SecretExitSubType[SecretExitSubType["MINES"] = 2] = "MINES";
    SecretExitSubType[SecretExitSubType["MAUSOLEUM"] = 3] = "MAUSOLEUM";
})(SecretExitSubType || (SecretExitSubType = {}));
/**
 * For `StageID.DOWNPOUR` (27) and `StageID.DROSS` (28), `RoomType.DEFAULT` (1).
 *
 * This matches the sub-type in the "27.downpour.stb" and "28.dross.stb" files.
 */
export var DownpourRoomSubType;
(function (DownpourRoomSubType) {
    DownpourRoomSubType[DownpourRoomSubType["NORMAL"] = 0] = "NORMAL";
    DownpourRoomSubType[DownpourRoomSubType["WHITE_FIRE"] = 1] = "WHITE_FIRE";
    DownpourRoomSubType[DownpourRoomSubType["MIRROR"] = 34] = "MIRROR";
})(DownpourRoomSubType || (DownpourRoomSubType = {}));
/**
 * For `StageID.MINES` (29) and `StageID.ASHPIT` (30), `RoomType.DEFAULT` (1).
 *
 * This matches the sub-type in the "29.mines.stb" and "30.ashpit.stb" files.
 */
export var MinesRoomSubType;
(function (MinesRoomSubType) {
    MinesRoomSubType[MinesRoomSubType["NORMAL"] = 0] = "NORMAL";
    MinesRoomSubType[MinesRoomSubType["BUTTON_ROOM"] = 1] = "BUTTON_ROOM";
    MinesRoomSubType[MinesRoomSubType["MINESHAFT_ENTRANCE"] = 10] = "MINESHAFT_ENTRANCE";
    MinesRoomSubType[MinesRoomSubType["MINESHAFT_LOBBY"] = 11] = "MINESHAFT_LOBBY";
    MinesRoomSubType[MinesRoomSubType["MINESHAFT_KNIFE_PIECE"] = 20] = "MINESHAFT_KNIFE_PIECE";
    MinesRoomSubType[MinesRoomSubType["MINESHAFT_ROOM_PRE_CHASE"] = 30] = "MINESHAFT_ROOM_PRE_CHASE";
    MinesRoomSubType[MinesRoomSubType["MINESHAFT_ROOM_POST_CHASE"] = 31] = "MINESHAFT_ROOM_POST_CHASE";
})(MinesRoomSubType || (MinesRoomSubType = {}));
/**
 * For `StageID.HOME` (35), `RoomType.DEFAULT` (1).
 *
 * This matches the sub-type in the "35.home.stb" file.
 */
export var HomeRoomSubType;
(function (HomeRoomSubType) {
    HomeRoomSubType[HomeRoomSubType["ISAACS_BEDROOM"] = 0] = "ISAACS_BEDROOM";
    HomeRoomSubType[HomeRoomSubType["HALLWAY"] = 1] = "HALLWAY";
    HomeRoomSubType[HomeRoomSubType["MOMS_BEDROOM"] = 2] = "MOMS_BEDROOM";
    HomeRoomSubType[HomeRoomSubType["LIVING_ROOM"] = 3] = "LIVING_ROOM";
    HomeRoomSubType[HomeRoomSubType["CLOSET_RIGHT"] = 10] = "CLOSET_RIGHT";
    HomeRoomSubType[HomeRoomSubType["CLOSET_LEFT"] = 11] = "CLOSET_LEFT";
    HomeRoomSubType[HomeRoomSubType["DEATH_CERTIFICATE_ENTRANCE"] = 33] = "DEATH_CERTIFICATE_ENTRANCE";
    HomeRoomSubType[HomeRoomSubType["DEATH_CERTIFICATE_ITEMS"] = 34] = "DEATH_CERTIFICATE_ITEMS";
})(HomeRoomSubType || (HomeRoomSubType = {}));
/**
 * For `StageID.BACKWARDS` (36), `RoomType.DEFAULT` (1).
 *
 * This matches the sub-type in the "36.backwards.stb" file.
 */
export var BackwardsRoomSubType;
(function (BackwardsRoomSubType) {
    BackwardsRoomSubType[BackwardsRoomSubType["EXIT"] = 0] = "EXIT";
    BackwardsRoomSubType[BackwardsRoomSubType["BASEMENT"] = 1] = "BASEMENT";
    BackwardsRoomSubType[BackwardsRoomSubType["CAVES"] = 4] = "CAVES";
    BackwardsRoomSubType[BackwardsRoomSubType["DEPTHS"] = 7] = "DEPTHS";
    BackwardsRoomSubType[BackwardsRoomSubType["DOWNPOUR"] = 27] = "DOWNPOUR";
    BackwardsRoomSubType[BackwardsRoomSubType["MINES"] = 29] = "MINES";
    BackwardsRoomSubType[BackwardsRoomSubType["MAUSOLEUM"] = 31] = "MAUSOLEUM";
})(BackwardsRoomSubType || (BackwardsRoomSubType = {}));
